﻿Imports System.Threading

Module MyStartUp
    Public mainWindow As MainWindow

    Public Sub StartUp(ByVal window As MainWindow)
        mainWindow = window
        If myConfig.Settings.AutoCheckUpdates = True Then
            Dim UpdateThread As New Thread(AddressOf UpdateCheck)
            UpdateThread.Start()
        End If
    End Sub

    Public Sub UpdateCheck(Optional ShowMessageWhenNoUpdate As Boolean = False)
        Dim UpdateChecker As New SciLors_UpdateCheck.SciLorsUpdateCheck()
        Dim tempCheck As String = UpdateChecker.checkVersion(myProgram.name, myProgram.longname, myProgram.version)

        If ShowMessageWhenNoUpdate Or UpdateChecker.LastCheckPositive Then
            MsgBox(tempCheck, MsgBoxStyle.OkOnly, "Update Check")
        End If
        If UpdateChecker.LastCheckPositive Then Return

        Dim API As New SciLorsGroovesharkAPI.Groove.GroovesharkClient(True)
        If API.UpdateGrooveFix() Then
            Call mainWindow.setGrooveClient(True)
            Call mainWindow.mniReconnect_Click(Nothing, Nothing)
        End If

    End Sub
End Module

Module myProgram
    Public version As String = "v0.4.9.6"
        Public name As String = "grooveshark-downloader"
        Public longname As String = "SciLor's grooveshark(tm).com Downloader"
    End Module