﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace System.IO {
    public class Win32Path {
        public static String GetDirectoryName(String path) {
            if (!path.EndsWith("\\") && !path.EndsWith("/")) {
                int lastSlash = path.LastIndexOfAny(new char[] { '\\', '/' });
                return path.Remove(lastSlash);
            }

            return path.Remove(path.Length - 1);
        }
    }
}
